> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a regenerated ABA file

> The file will contain only entries matched to verifications. When the original file has a balancing debit record, its amount will be updated to the sum of the matched entries.

Requires the `aba_check:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /aba-checks/{aba_check}/regenerate
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /aba-checks/{aba_check}/regenerate:
    get:
      tags:
        - ABA checks
      summary: Download a regenerated ABA file
      description: >-
        The file will contain only entries matched to verifications. When the
        original file has a balancing debit record, its amount will be updated
        to the sum of the matched entries.


        Requires the `aba_check:read` ability.
      operationId: aba-checks.regenerate
      parameters:
        - name: aba_check
          in: path
          required: true
          description: 'The ABA check ID. Example: `aba_01jz8v2q4x...`'
          schema:
            type: string
      responses:
        '200':
          description: Regenerated ABA file contents.
          content:
            text/plain:
              schema:
                type: string
          headers:
            Content-Disposition:
              description: Attachment filename for the regenerated ABA file.
              schema:
                type: string
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          description: An error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error overview.
                required:
                  - message
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````